precision highp float;
varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform lowp float xStart;
uniform lowp float xEnd;
uniform lowp float myAlpha;

void main(){
    //gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
	lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);

	float alphaTemp = 1.0;
	if(textureCoordinate.x >= xStart && textureCoordinate.x <= xEnd){
		alphaTemp = myAlpha;
	}
	gl_FragColor = vec4(textureColor.rgb, textureColor.a * alphaTemp);

}