#extension GL_OES_EGL_image_external : require
precision highp float;
uniform sampler2D inputImageTexture;
uniform sampler2D tex_u;
uniform sampler2D tex_v;
varying vec2 textureCoordinate;
void main()
{
  vec4 c = vec4((texture2D(inputImageTexture, textureCoordinate).r - 16./255.) * 1.164);
  vec4 U = vec4(texture2D(tex_u, textureCoordinate).r - 128./255.);
  vec4 V = vec4(texture2D(tex_v, textureCoordinate).r - 128./255.);
  c += V * vec4(1.596, -0.813, 0, 0);
  c += U * vec4(0, -0.392, 2.017, 0);
  c.a = 1.0;
  gl_FragColor = c;
}